#!/bin/bash
# Upgrade packages available from repositories in sources.list

UPGRADABLE_PKGS=$(apt list --upgradable 2>/dev/null | sed -nE 's/^(.*)\/.*$/\1/pg')
[ -n "${UPGRADABLE_PKGS}" ] && {
    sudo DEBIAN_FRONTEND=noninteractive apt install \
        --only-upgrade --allow-unauthenticated --allow-downgrades -y ${UPGRADABLE_PKGS}
    sudo apt update

    UPGRADABLE_PKGS=$(apt list --upgradable 2>/dev/null | sed -nE 's/^(.*)\/.*$/\1/pg')
    [ -n "${UPGRADABLE_PKGS}" ] && {
        sudo DEBIAN_FRONTEND=noninteractive apt install \
            --only-upgrade --allow-unauthenticated --allow-downgrades -y ${UPGRADABLE_PKGS}
        sudo apt-get clean
    }

    sync
}
