#!/bin/bash
set -x

if [ $# -ne 1 ]; then
  echo "Error: enter a network type of [none, wired, wifi, both] as input"
  exit 1
fi

OUTPUT_DIR=/media/usb/settings/

DATA_DIR=/data/
SLIDE_DIR=slideshow/user
#FACILITY_DIR=facility/user
#VID_DIR=video/attract/user
TV_CONF=tunerConfig.xml

OPTIONS=/root/.config/TrueFitness/PVSApp.conf

NETWORK_TYPE=$1
WIFI=$(ls /etc/NetworkManager/system-connections/*.nmconnection)

# remove any old settings
if [ -d ${OUTPUT_DIR} ]; then
  rm -r ${OUTPUT_DIR}*
else
  mkdir $OUTPUT_DIR
fi

# screensaver slides
if [ -d ${DATA_DIR}${SLIDE_DIR} ]; then
  files=$(ls ${DATA_DIR}${SLIDE_DIR} | wc -l)
  if [ $files -gt 0 ]; then
    mkdir ${OUTPUT_DIR}slideshow
    mkdir ${OUTPUT_DIR}${SLIDE_DIR}
    cp ${DATA_DIR}${SLIDE_DIR}/* ${OUTPUT_DIR}${SLIDE_DIR}/
  fi
fi

# facility images
#if [ -d ${DATA_DIR}${FACILITY_DIR} ]; then
#  files=$(ls ${DATA_DIR}${FACILITY_DIR} | wc -l)
#  if [ $files -gt 0 ]; then
#    mkdir ${OUTPUT_DIR}facility
#    mkdir ${OUTPUT_DIR}${FACILITY_DIR}
#    cp ${DATA_DIR}${FACILITY_DIR}/* ${OUTPUT_DIR}${FACILITY_DIR}/
#  fi
#fi

# attract video
#if [ -d ${DATA_DIR}${VID_DIR} ]; then
#  files=$(ls ${DATA_DIR}${VID_DIR} | wc -l)
#  if [ $files -gt 0 ]; then
#    mkdir ${OUTPUT_DIR}video
#    mkdir ${OUTPUT_DIR}video/attract
#    mkdir ${OUTPUT_DIR}${VID_DIR}
#    cp ${DATA_DIR}${VID_DIR}/* ${OUTPUT_DIR}${VID_DIR}/
#  fi
#fi

# tv channels list 
if [ -f ${DATA_DIR}${TV_CONF} ]; then
  cp ${DATA_DIR}${TV_CONF} ${OUTPUT_DIR}
fi

# options
cp $OPTIONS ${OUTPUT_DIR}PVSApp.conf

# iptv settings
#IPTV_ENABLED=$(grep iptvEnabled $OPTIONS | cut -d= -f2)
#if [[ "$IPTV_ENABLED" == "true" ]]; then
#  IP=$(ip -br -f inet address | grep enp2s0 | awk '{print $3}' | cut -d/ -f1)
#  echo $IP > ${OUTPUT_DIR}iptv
#fi

# network settings
if [[ $NETWORK_TYPE == "none" ]]; then
  exit 0
fi

if [[ $NETWORK_TYPE != "wifi" ]]; then
  touch ${OUTPUT_DIR}/enp2s0
fi

if [[ $NETWORK_TYPE != "wired" ]]; then
  mkdir ${OUTPUT_DIR}nmcli
  cp "$WIFI" ${OUTPUT_DIR}nmcli
fi

exit 0
