#!/bin/bash

# clear the existing apt lists in case they're stale
sudo rm -rf /var/lib/apt/lists/*

# For envision, enable the envision repos
if [ -f /etc/apt/sources.list.d/envision-a-release.list.save ]; then
    sudo /usr/sbin/enable-repo.sh /etc/apt/sources.list.d/envision-a-release.list.save
fi

sudo apt-get update > /dev/null 2> /dev/null

# repair any broken dependencies
sudo apt-get install --fix-broken --allow-unauthenticated -y > /dev/null 2> /dev/null
sudo dpkg --configure -a

# list the packages available to upgrade from any repo.
apt list --upgradable 2>/dev/null | sed -nE 's/^(.*)\/.*$/\1/pg'
