#!/bin/bash

SCRIPTDIR=$(cd "$( dirname "$0" )" && pwd )
function cleanup {
  echo Removing SSH connections...
  $SCRIPTDIR/cleanup.sh
  exit
}

trap cleanup SIGHUP SIGINT SIGTERM

# Kill existing connections
$SCRIPTDIR/cleanup.sh

export RETRY_ATTEMPTS=0
while true; do
  $SCRIPTDIR/connect.sh &
  wait # Needed to catch SIGTERM
  echo "Connection lost. Reconnecting..."
  RETRY_ATTEMPTS=$((RETRY_ATTEMPTS + 1))
  sleep 3 &
  wait
done


