#!/bin/bash

function loop() {
    while true; do
        sudo salt-minion -l info &
        wait # Needed to catch SIGTERM
        echo "Connection lost. Reconnecting..."
        RETRY_ATTEMPTS=$((RETRY_ATTEMPTS + 1))
        sleep 3 &
        wait
    done
}

function stop_minion() {
    for pid in `pgrep -f "\bsalt-minion\s"`; do
        sudo kill $pid
    done
}

function cleanup() {
    stop_minion
    exit 0
}

trap cleanup SIGHUP SIGINT SIGTERM

export RETRY_ATTEMPTS=0
stop_minion
loop
