#!/bin/bash
set -x
WIFI_DEV=$1
WIFI_MOD=iwlwifi

lshw -c network 2>/dev/null | grep -q "driver=${WIFI_MOD}" && {
    sudo modprobe -r ${WIFI_MOD}
    sudo modprobe ${WIFI_MOD}
    sleep 1
}

sudo ifconfig $WIFI_DEV up

# egrep to retrieve all fields we want
# sed to split the MAC address from the parentheses specifying which device the BSS was found on so awk can parse the mac separately
sudo iw dev $WIFI_DEV scan \
| egrep '^BSS |SSID: |signal: |Authentication' \
| sed -e 's/BSS \([a-z0-9:]*\)(/BSS \1 (/g' \
| awk '{if($0~/^BSS/) {MAC=$2; m[MAC]=MAC; wifi[MAC,"enc"]="0";} if($0~/SSID/) {ssid=$2; for(i=3; i<=NF; i++) ssid=ssid " " $i; wifi[MAC,"SSID"]=ssid;} if($0~/signal/) {gsub(/\..*$/,"",$2);wifi[MAC,"sig"]=substr($2,2);} if($0~/Auth/) {wifi[MAC,"auth"]=$4;wifi[MAC,"enc"]="1";}} END {for (mac in m) { print "mac:" toupper(mac) "\nssid:" wifi[mac,"SSID"] "\nquality:" wifi[mac,"sig"] "\nencrypted:" wifi[mac,"enc"] "\nauthentication:" wifi[mac,"auth"] "\n";}}'

#sudo iwlist $WIFI_DEV scanning \
#| egrep 'Cell |Encryption|Quality|ESSID|Authentication' \
#| sed -e 's/(/ /g' -e 's/\// /g' -e 's/=/ /g' -e 's/"//g' \
#| awk '{if($0~/Cell/) {MAC=$5; m[MAC]=MAC; wifi[MAC,"enc"]="false";} if($0~/ESSID/) {split($0, a, ":"); ssid=a[2]; wifi[MAC,"SSID"]=ssid;} if($0~/Quality/) {wifi[MAC,"sig"]=$2;} if($0~/Encryption/) {split($0, a, ":"); wifi[MAC, "enc"]=(a[2]~/on/);} if($0~/Authentication/) {wifi[MAC,"auth"]=$5;}} END {for (mac in m) { print mac "," wifi[mac,"SSID"] "," wifi[mac,"sig"] "," wifi[mac,"enc"] "," wifi[mac,"auth"];}}'
