#!/bin/bash
mode=$1
set -x
#This script will disable any *daily.list or *testing.list that might be enabled.
LIST_PATH="/etc/apt/sources.list.d"
ACTIVE_LIST="$LIST_PATH/verum-daily.list"
SAVED_LIST="$ACTIVE_LIST.save"
ENV_ACTIVE_LIST="$LIST_PATH/envision-a-daily.list"
ENV_SAVED_LIST="$ENV_ACTIVE_LIST.save"
ENABLE="/usr/sbin/enable-repo.sh"
DISABLE="/usr/sbin/disable-repo.sh"

check_mode (){
  if [ -f $ACTIVE_LIST ] || [ -f $ENV_ACTIVE_LIST ]; then
    echo "active"
  elif [ -f $SAVED_LIST ] || [ -f $ENV_SAVED_LIST ]; then
    echo "disabled"      
  fi
}

if [[ $mode -eq 1 ]]; then
  if [[ -f $SAVED_LIST  ]]; then
    sudo $ENABLE $SAVED_LIST >/dev/null
  fi
  if [[ -f $ENV_SAVED_LIST  ]]; then
    sudo $ENABLE $ENV_SAVED_LIST >/dev/null
  fi
elif [[ $mode -eq 0 ]]; then
  if [[ -f $ACTIVE_LIST ]]; then
    sudo $DISABLE $ACTIVE_LIST > /dev/null
  fi
  if [[ -f $ENV_ACTIVE_LIST ]]; then
    sudo $DISABLE $ENV_ACTIVE_LIST > /dev/null
  fi
fi

check_mode

