#!/bin/sh
VOLUME_SOURCE=$(echo $(pactl list short sinks | grep alsa_output | cut -f1))
VOLUME_LEVEL=$(echo $(pactl list sinks | grep -A20 "Sink #${VOLUME_SOURCE}" | grep -w "Volume" | grep -v "Base" | cut -d':' -f3 | cut -d' ' -f2))
MUTE_STATE=$(echo $(pactl list sinks | grep -A20 "Sink #${VOLUME_SOURCE}" | grep -w "Mute:" | cut -d':' -f2 | cut -d' ' -f2))
NUMBER=$(echo $((${VOLUME_LEVEL})))

VOLUME_INPUT_SOURCE=$(echo $(pactl list short sink-inputs | cut -f1))
INPUT_MUTE_STATE=$(echo $(pactl list sink-inputs | grep -A20 "Sink Input #${VOLUME_INPUT_SOURCE}" | grep -w "Mute:" | cut -d':' -f2 | cut -d' ' -f2))

VOLUME_SOURCE_BT=$(echo $(pactl list short sinks | grep RUNNING | grep bluez_sink | cut -f1))
VOLUME_LEVEL_BT=$(echo $(pactl list sinks | grep -A20 "Sink #${VOLUME_SOURCE_BT}" | grep -w "Volume" | grep -v "Base" | cut -d':' -f3 | cut -d' ' -f2))
MUTE_STATE_BT=$(echo $(pactl list sinks | grep -A20 "Sink #${VOLUME_SOURCE_BT}" | grep -w "Mute:" | cut -d':' -f2 | cut -d' ' -f2))
NUMBER_BT=$(echo $((${VOLUME_LEVEL_BT})))

if [ -z "$1" ]
then
        echo "Missing argument. Valid arguments: vol | info | mute"
	exit 0
fi

if [ "$1" = "info" ]
then
        echo "info ${VOLUME_SOURCE} ${NUMBER} ${MUTE_STATE}"
elif [ "$1" = "mute" ]
then
    if [ ! -z ${VOLUME_SOURCE} ]
    then
        pactl set-sink-mute $VOLUME_SOURCE "$2"
    fi

    if [ ! -z ${VOLUME_SOURCE_BT} ]
    then
        pactl set-sink-mute $VOLUME_SOURCE_BT "$2"
    fi

    if [ ! -z $VOLUME_INPUT_SOURCE ]
    then
        pactl set-sink-input-mute $VOLUME_INPUT_SOURCE "$2"
    fi

elif [ "$1" = "vol" ]
then
        if [ -z "$2" ]
        then
                echo "Missing argument for vol. Usage: vol <volume_number>"
                exit 0
        fi

        if [ ! -z ${VOLUME_SOURCE} ]
        then
                pactl set-sink-volume ${VOLUME_SOURCE} "$2"
        fi

        if [ ! -z ${VOLUME_SOURCE_BT} ]
        then
                pactl set-sink-volume ${VOLUME_SOURCE_BT} "$2"
        fi

	for input in $VOLUME_INPUT_SOURCE
		do
            		pactl set-sink-input-volume $input "$2"
		done


else
        echo "Unknown argument. Valid arguments: vol <volume_number> | info"
	exit 0
fi
