#!/bin/bash
#set -x
# The nex line will be replaced with the package name when the ruls Makefile is run.
PKG=c360-videos-spectrum

## call with network or usb flag

DEB_VERSION=$(dpkg -s $PKG | grep Version | cut -d ":" -f 2 )
# getopts

TAR_ARCHIVE="$PKG".tar
USB_PATH=/media/usb
KEY_PATH=$USB_PATH/zsync
USB_FILE=$KEY_PATH/$TAR_ARCHIVE

PKG=/usr/lib/trueui/scripts/video_updater/c360-videos-spectrum/c360-videos-spectrum
TAR_ARCHIVE="$PKG".tar
ZSYNC_FILE="$TAR_ARCHIVE".zsync
# run zsync
if [[ -f $USB_FILE  ]]; then
  echo "Tar archive found in $USB_FILE, attempting sync"
  sudo zsync -i $USB_FILE $ZSYNC_FILE
else
  echo "Tar archive not found in $USB_FILE, checking network..."
  sudo zsync $ZSYNC_FILE
fi


PKG=/usr/lib/trueui/c360-videos-spectrum
TAR_ARCHIVE="$PKG".tar
sudo chmod 666 $TAR_ARCHIVE

sudo tar --extract -f $TAR_ARCHIVE -C /
# if zsync has changed run tar command
# Use pv to report extraction progress
#(pv -n $TAR_ARCHIVE | tar -xf - -C / ) 2>&1
# Update installed version file
#echo $DEB_VERSION > VersionInstalled
###################################################################################
echo "getting traverse videos"

PKG=c360-videos-traverse

## call with network or usb flag

DEB_VERSION=$(dpkg -s $PKG | grep Version | cut -d ":" -f 2 )
TAR_ARCHIVE="$PKG".tar
USB_PATH=/media/usb
KEY_PATH=$USB_PATH/zsync
USB_FILE=$KEY_PATH/$TAR_ARCHIVE

PKG=/usr/lib/trueui/scripts/video_updater/c360-videos-traverse/c360-videos-traverse
TAR_ARCHIVE="$PKG".tar
ZSYNC_FILE="$TAR_ARCHIVE".zsync
# run zsync
if [[ -f $USB_FILE  ]]; then
  echo "Tar archive found in $USB_FILE, attempting sync"
  sudo zsync -i $USB_FILE $ZSYNC_FILE
else
  echo "Tar archive not found in $USB_FILE, checking network..."
  sudo zsync $ZSYNC_FILE
fi


PKG=/usr/lib/trueui/c360-videos-traverse
TAR_ARCHIVE="$PKG".tar
sudo chmod 666 $TAR_ARCHIVE

sudo tar --extract -f $TAR_ARCHIVE -C /

#sudo rm /usr/lib/trueui/*.tar
sudo rm /usr/lib/trueui/*.tar.zs-old
echo "Video Sync Complete"
