#!/bin/bash

SRC_DIR="$(dirname -- $0)"
DEST_DIR="/usr/lib/chromium"
# Overwrite the current widevine if it differs from the new one
OLD_MD5=$(md5sum "${DEST_DIR}/libwidevinecdm.so" 2>/dev/null | cut -d " " -f1)
NEW_MD5=$(md5sum "${SRC_DIR}/libwidevinecdm.so" 2>/dev/null | cut -d " " -f1)
if [ "${OLD_MD5}" != "${NEW_MD5}" ]; then
	echo "widevine md5sums differ (new: '${NEW_MD5}' old: '${OLD_MD5}')"
    [ -d "${DEST_DIR}" ] || sudo mkdir -p "${DEST_DIR}"
    sudo cp "${SRC_DIR}/libwidevinecdm.so" "${DEST_DIR}"
fi
